### Method

# Gtk ListStorereorder

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_reorder (
      GtkListStore* store,
      int* new_order
    )

#### Description [src]

Reorders `store` to follow the order indicated by `new_order`. Note that this function only works with unsorted stores.

Deprecated since: 4.10

Use list models.

#### Parameters

`new_order`

  Type: An array of `int`

  An array of integers mapping the new position of each child to its old position before the re-ordering, i.e. `new_order``[newpos] = oldpos`. It must have exactly as many items as the list store’s length.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.